New Ticket     Wiki     Browse Source     Timeline     Roadmap     Ticket Reports     Search

Changeset 37259

Show
Ignore:
Timestamp:
06/01/2008 04:15:45 (4 years ago)
Author:
jmr@…
Message:

inkscape: enable ImageMagick raster effects and WordPerfect graphics format
support, courtesy of new maintainer. Closes #15447.

Location:
trunk/dports/gnome/inkscape
Files:
1 added
2 modified

Legend:

Unmodified
Added
Removed
  • trunk/dports/gnome/inkscape/Portfile

    r36117 r37259  
    66name            inkscape 
    77version         0.46 
    8 revision        1 
    9 maintainers     nomaintainer 
     8revision        2 
     9maintainers     gmail.com:dbevans 
    1010categories      gnome graphics 
    1111platforms       darwin 
     
    4040                port:py25-numpy \ 
    4141                port:py25-lxml \ 
    42                 port:boost 
     42                port:boost \ 
     43                port:ImageMagick \ 
     44                port:libwpg 
    4345 
    44 patchfiles      patch-configure.diff 
     46patchfiles      patch-configure.diff \ 
     47                        patch-src-Makefile.in.diff 
    4548 
    4649configure.args  \ 
  • trunk/dports/gnome/inkscape/files/patch-configure.diff

    r32934 r37259  
    1 --- configure.orig      2007-03-20 14:56:43.000000000 +0100 
    2 +++ configure   2008-01-05 18:37:21.000000000 +0100 
    3 @@ -10198,11 +10198,11 @@ 
    4  fi; 
     1--- configure.orig      2008-05-28 08:01:28.000000000 -0700 
     2+++ configure   2008-05-28 08:04:09.000000000 -0700 
     3@@ -802,7 +802,7 @@ 
     4 LIBWPG_LIBS 
     5 WITH_LIBWPG_TRUE 
     6 WITH_LIBWPG_FALSE 
     7-MAGICKPP_CONFIG 
     8+IMAGEMAGICK_CFLAGS 
     9 IMAGEMAGICK_LIBS 
     10 USE_IMAGE_MAGICK_TRUE 
     11 USE_IMAGE_MAGICK_FALSE 
     12@@ -857,6 +857,8 @@ 
     13 INKBOARD_LIBS 
     14 LIBWPG_CFLAGS 
     15 LIBWPG_LIBS 
     16+IMAGEMAGICK_CFLAGS 
     17+IMAGEMAGICK_LIBS 
     18 INKSCAPE_CFLAGS 
     19 INKSCAPE_LIBS 
     20 CAIRO_PDF_CFLAGS 
     21@@ -1509,6 +1511,10 @@ 
     22   LIBWPG_CFLAGS 
     23               C compiler flags for LIBWPG, overriding pkg-config 
     24   LIBWPG_LIBS linker flags for LIBWPG, overriding pkg-config 
     25+  IMAGEMAGICK_CFLAGS 
     26+              C compiler flags for IMAGEMAGICK, overriding pkg-config 
     27+  IMAGEMAGICK_LIBS 
     28+              linker flags for IMAGEMAGICK, overriding pkg-config 
     29   INKSCAPE_CFLAGS 
     30               C compiler flags for INKSCAPE, overriding pkg-config 
     31   INKSCAPE_LIBS 
     32@@ -12715,11 +12721,11 @@ 
     33  
    534  
    635 if test "x$with_python" = "xyes"; then 
     
    1544             with_python="no" 
    1645         else 
     46@@ -13631,259 +13637,79 @@ 
     47 fi 
     48  
     49  
     50+pkg_failed=no 
     51+{ echo "$as_me:$LINENO: checking for IMAGEMAGICK" >&5 
     52+echo $ECHO_N "checking for IMAGEMAGICK... " >&6; } 
     53  
     54- 
     55- 
     56- 
     57-{ echo "$as_me:$LINENO: checking for InitializeMagick in -lMagick++" >&5 
     58-echo $ECHO_N "checking for InitializeMagick in -lMagick++... $ECHO_C" >&6; } 
     59-if test "${ac_cv_lib_Magickpp_InitializeMagick+set}" = set; then 
     60-  echo $ECHO_N "(cached) $ECHO_C" >&6 
     61-else 
     62-  ac_check_lib_save_LIBS=$LIBS 
     63-LIBS="-lMagick++ -llcms -lfreetype -ljpeg -lfontconfig -lXext -lSM -lICE -lX11 -lz -lpthread -lm -lpthread $LIBS" 
     64-cat >conftest.$ac_ext <<_ACEOF 
     65-/* confdefs.h.  */ 
     66-_ACEOF 
     67-cat confdefs.h >>conftest.$ac_ext 
     68-cat >>conftest.$ac_ext <<_ACEOF 
     69-/* end confdefs.h.  */ 
     70- 
     71-/* Override any GCC internal prototype to avoid an error. 
     72-   Use char because int might match the return type of a GCC 
     73-   builtin and then its argument prototype would still apply.  */ 
     74-#ifdef __cplusplus 
     75-extern "C" 
     76-#endif 
     77-char InitializeMagick (); 
     78-int 
     79-main () 
     80-{ 
     81-return InitializeMagick (); 
     82-  ; 
     83-  return 0; 
     84-} 
     85-_ACEOF 
     86-rm -f conftest.$ac_objext conftest$ac_exeext 
     87-if { (ac_try="$ac_link" 
     88-case "(($ac_try" in 
     89-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     90-  *) ac_try_echo=$ac_try;; 
     91-esac 
     92-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     93-  (eval "$ac_link") 2>conftest.er1 
     94+if test -n "$IMAGEMAGICK_CFLAGS"; then 
     95+    pkg_cv_IMAGEMAGICK_CFLAGS="$IMAGEMAGICK_CFLAGS" 
     96+ elif test -n "$PKG_CONFIG"; then 
     97+    if test -n "$PKG_CONFIG" && \ 
     98+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"ImageMagick++\"") >&5 
     99+  ($PKG_CONFIG --exists --print-errors "ImageMagick++") 2>&5 
     100   ac_status=$? 
     101-  grep -v '^ *+' conftest.er1 >conftest.err 
     102-  rm -f conftest.er1 
     103-  cat conftest.err >&5 
     104   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     105-  (exit $ac_status); } && { 
     106-        test -z "$ac_cxx_werror_flag" || 
     107-        test ! -s conftest.err 
     108-       } && test -s conftest$ac_exeext && 
     109-       $as_test_x conftest$ac_exeext; then 
     110-  ac_cv_lib_Magickpp_InitializeMagick=yes 
     111+  (exit $ac_status); }; then 
     112+  pkg_cv_IMAGEMAGICK_CFLAGS=`$PKG_CONFIG --cflags "ImageMagick++" 2>/dev/null` 
     113 else 
     114-  echo "$as_me: failed program was:" >&5 
     115-sed 's/^/| /' conftest.$ac_ext >&5 
     116- 
     117-       ac_cv_lib_Magickpp_InitializeMagick=no 
     118-fi 
     119- 
     120-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \ 
     121-      conftest$ac_exeext conftest.$ac_ext 
     122-LIBS=$ac_check_lib_save_LIBS 
     123+  pkg_failed=yes 
     124 fi 
     125-{ echo "$as_me:$LINENO: result: $ac_cv_lib_Magickpp_InitializeMagick" >&5 
     126-echo "${ECHO_T}$ac_cv_lib_Magickpp_InitializeMagick" >&6; } 
     127-if test $ac_cv_lib_Magickpp_InitializeMagick = yes; then 
     128-  if test "${ac_cv_header_Magickpp_h+set}" = set; then 
     129-  { echo "$as_me:$LINENO: checking for Magick++.h" >&5 
     130-echo $ECHO_N "checking for Magick++.h... $ECHO_C" >&6; } 
     131-if test "${ac_cv_header_Magickpp_h+set}" = set; then 
     132-  echo $ECHO_N "(cached) $ECHO_C" >&6 
     133+ else 
     134+    pkg_failed=untried 
     135 fi 
     136-{ echo "$as_me:$LINENO: result: $ac_cv_header_Magickpp_h" >&5 
     137-echo "${ECHO_T}$ac_cv_header_Magickpp_h" >&6; } 
     138-else 
     139-  # Is the header compilable? 
     140-{ echo "$as_me:$LINENO: checking Magick++.h usability" >&5 
     141-echo $ECHO_N "checking Magick++.h usability... $ECHO_C" >&6; } 
     142-cat >conftest.$ac_ext <<_ACEOF 
     143-/* confdefs.h.  */ 
     144-_ACEOF 
     145-cat confdefs.h >>conftest.$ac_ext 
     146-cat >>conftest.$ac_ext <<_ACEOF 
     147-/* end confdefs.h.  */ 
     148-$ac_includes_default 
     149-#include <Magick++.h> 
     150-_ACEOF 
     151-rm -f conftest.$ac_objext 
     152-if { (ac_try="$ac_compile" 
     153-case "(($ac_try" in 
     154-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     155-  *) ac_try_echo=$ac_try;; 
     156-esac 
     157-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     158-  (eval "$ac_compile") 2>conftest.er1 
     159+if test -n "$IMAGEMAGICK_LIBS"; then 
     160+    pkg_cv_IMAGEMAGICK_LIBS="$IMAGEMAGICK_LIBS" 
     161+ elif test -n "$PKG_CONFIG"; then 
     162+    if test -n "$PKG_CONFIG" && \ 
     163+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"ImageMagick++\"") >&5 
     164+  ($PKG_CONFIG --exists --print-errors "ImageMagick++") 2>&5 
     165   ac_status=$? 
     166-  grep -v '^ *+' conftest.er1 >conftest.err 
     167-  rm -f conftest.er1 
     168-  cat conftest.err >&5 
     169   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     170-  (exit $ac_status); } && { 
     171-        test -z "$ac_cxx_werror_flag" || 
     172-        test ! -s conftest.err 
     173-       } && test -s conftest.$ac_objext; then 
     174-  ac_header_compiler=yes 
     175+  (exit $ac_status); }; then 
     176+  pkg_cv_IMAGEMAGICK_LIBS=`$PKG_CONFIG --libs "ImageMagick++" 2>/dev/null` 
     177 else 
     178-  echo "$as_me: failed program was:" >&5 
     179-sed 's/^/| /' conftest.$ac_ext >&5 
     180- 
     181-       ac_header_compiler=no 
     182+  pkg_failed=yes 
     183 fi 
     184- 
     185-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 
     186-{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 
     187-echo "${ECHO_T}$ac_header_compiler" >&6; } 
     188- 
     189-# Is the header present? 
     190-{ echo "$as_me:$LINENO: checking Magick++.h presence" >&5 
     191-echo $ECHO_N "checking Magick++.h presence... $ECHO_C" >&6; } 
     192-cat >conftest.$ac_ext <<_ACEOF 
     193-/* confdefs.h.  */ 
     194-_ACEOF 
     195-cat confdefs.h >>conftest.$ac_ext 
     196-cat >>conftest.$ac_ext <<_ACEOF 
     197-/* end confdefs.h.  */ 
     198-#include <Magick++.h> 
     199-_ACEOF 
     200-if { (ac_try="$ac_cpp conftest.$ac_ext" 
     201-case "(($ac_try" in 
     202-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     203-  *) ac_try_echo=$ac_try;; 
     204-esac 
     205-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     206-  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1 
     207-  ac_status=$? 
     208-  grep -v '^ *+' conftest.er1 >conftest.err 
     209-  rm -f conftest.er1 
     210-  cat conftest.err >&5 
     211-  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     212-  (exit $ac_status); } >/dev/null && { 
     213-        test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" || 
     214-        test ! -s conftest.err 
     215-       }; then 
     216-  ac_header_preproc=yes 
     217-else 
     218-  echo "$as_me: failed program was:" >&5 
     219-sed 's/^/| /' conftest.$ac_ext >&5 
     220- 
     221-  ac_header_preproc=no 
     222+ else 
     223+    pkg_failed=untried 
     224 fi 
     225  
     226-rm -f conftest.err conftest.$ac_ext 
     227-{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5 
     228-echo "${ECHO_T}$ac_header_preproc" >&6; } 
     229  
     230-# So?  What about this header? 
     231-case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in 
     232-  yes:no: ) 
     233-    { echo "$as_me:$LINENO: WARNING: Magick++.h: accepted by the compiler, rejected by the preprocessor!" >&5 
     234-echo "$as_me: WARNING: Magick++.h: accepted by the compiler, rejected by the preprocessor!" >&2;} 
     235-    { echo "$as_me:$LINENO: WARNING: Magick++.h: proceeding with the compiler's result" >&5 
     236-echo "$as_me: WARNING: Magick++.h: proceeding with the compiler's result" >&2;} 
     237-    ac_header_preproc=yes 
     238-    ;; 
     239-  no:yes:* ) 
     240-    { echo "$as_me:$LINENO: WARNING: Magick++.h: present but cannot be compiled" >&5 
     241-echo "$as_me: WARNING: Magick++.h: present but cannot be compiled" >&2;} 
     242-    { echo "$as_me:$LINENO: WARNING: Magick++.h:     check for missing prerequisite headers?" >&5 
     243-echo "$as_me: WARNING: Magick++.h:     check for missing prerequisite headers?" >&2;} 
     244-    { echo "$as_me:$LINENO: WARNING: Magick++.h: see the Autoconf documentation" >&5 
     245-echo "$as_me: WARNING: Magick++.h: see the Autoconf documentation" >&2;} 
     246-    { echo "$as_me:$LINENO: WARNING: Magick++.h:     section \"Present But Cannot Be Compiled\"" >&5 
     247-echo "$as_me: WARNING: Magick++.h:     section \"Present But Cannot Be Compiled\"" >&2;} 
     248-    { echo "$as_me:$LINENO: WARNING: Magick++.h: proceeding with the preprocessor's result" >&5 
     249-echo "$as_me: WARNING: Magick++.h: proceeding with the preprocessor's result" >&2;} 
     250-    { echo "$as_me:$LINENO: WARNING: Magick++.h: in the future, the compiler will take precedence" >&5 
     251-echo "$as_me: WARNING: Magick++.h: in the future, the compiler will take precedence" >&2;} 
     252  
     253-    ;; 
     254-esac 
     255-{ echo "$as_me:$LINENO: checking for Magick++.h" >&5 
     256-echo $ECHO_N "checking for Magick++.h... $ECHO_C" >&6; } 
     257-if test "${ac_cv_header_Magickpp_h+set}" = set; then 
     258-  echo $ECHO_N "(cached) $ECHO_C" >&6 
     259-else 
     260-  ac_cv_header_Magickpp_h=$ac_header_preproc 
     261-fi 
     262-{ echo "$as_me:$LINENO: result: $ac_cv_header_Magickpp_h" >&5 
     263-echo "${ECHO_T}$ac_cv_header_Magickpp_h" >&6; } 
     264+if test $pkg_failed = yes; then 
     265  
     266-fi 
     267-if test $ac_cv_header_Magickpp_h = yes; then 
     268-  magick_ok=yes 
     269+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then 
     270+        _pkg_short_errors_supported=yes 
     271 else 
     272-  magick_ok=no 
     273+        _pkg_short_errors_supported=no 
     274 fi 
     275+        if test $_pkg_short_errors_supported = yes; then 
     276+                IMAGEMAGICK_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "ImageMagick++" 2>&1` 
     277+        else 
     278+                IMAGEMAGICK_PKG_ERRORS=`$PKG_CONFIG --print-errors "ImageMagick++" 2>&1` 
     279+        fi 
     280+        # Put the nasty error message in config.log where it belongs 
     281+        echo "$IMAGEMAGICK_PKG_ERRORS" >&5 
     282  
     283- 
     284+        { echo "$as_me:$LINENO: result: no" >&5 
     285+echo "no" >&6; } 
     286+                magick_ok=no 
     287+elif test $pkg_failed = untried; then 
     288+        magick_ok=no 
     289 else 
     290-  magick_ok=no 
     291+        IMAGEMAGICK_CFLAGS=$pkg_cv_IMAGEMAGICK_CFLAGS 
     292+        IMAGEMAGICK_LIBS=$pkg_cv_IMAGEMAGICK_LIBS 
     293+        { echo "$as_me:$LINENO: result: yes" >&5 
     294+echo "yes" >&6; } 
     295+        magick_ok=yes 
     296 fi 
     297- 
     298- 
     299 if test "x$magick_ok" = "xyes"; then 
     300-       # Extract the first word of "Magick++-config", so it can be a program name with args. 
     301-set dummy Magick++-config; ac_word=$2 
     302-{ echo "$as_me:$LINENO: checking for $ac_word" >&5 
     303-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; } 
     304-if test "${ac_cv_prog_MAGICKPP_CONFIG+set}" = set; then 
     305-  echo $ECHO_N "(cached) $ECHO_C" >&6 
     306-else 
     307-  if test -n "$MAGICKPP_CONFIG"; then 
     308-  ac_cv_prog_MAGICKPP_CONFIG="$MAGICKPP_CONFIG" # Let the user override the test. 
     309-else 
     310-as_save_IFS=$IFS; IFS=$PATH_SEPARATOR 
     311-for as_dir in $PATH 
     312-do 
     313-  IFS=$as_save_IFS 
     314-  test -z "$as_dir" && as_dir=. 
     315-  for ac_exec_ext in '' $ac_executable_extensions; do 
     316-  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then 
     317-    ac_cv_prog_MAGICKPP_CONFIG="yes" 
     318-    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 
     319-    break 2 
     320-  fi 
     321-done 
     322-done 
     323-IFS=$as_save_IFS 
     324- 
     325-  test -z "$ac_cv_prog_MAGICKPP_CONFIG" && ac_cv_prog_MAGICKPP_CONFIG="no" 
     326-fi 
     327-fi 
     328-MAGICKPP_CONFIG=$ac_cv_prog_MAGICKPP_CONFIG 
     329-if test -n "$MAGICKPP_CONFIG"; then 
     330-  { echo "$as_me:$LINENO: result: $MAGICKPP_CONFIG" >&5 
     331-echo "${ECHO_T}$MAGICKPP_CONFIG" >&6; } 
     332-else 
     333-  { echo "$as_me:$LINENO: result: no" >&5 
     334-echo "${ECHO_T}no" >&6; } 
     335-fi 
     336- 
     337- 
     338-       if test "x$MAGICKPP_CONFIG" = "xyes"; then 
     339-               IMAGEMAGICK_LIBS=`Magick++-config --libs` 
     340- 
     341  
     342 cat >>confdefs.h <<\_ACEOF 
     343 #define WITH_IMAGE_MAGICK 1 
     344 _ACEOF 
     345  
     346-       fi 
     347 fi 
     348- 
     349  if test "x$magick_ok" = "xyes"; then 
     350   USE_IMAGE_MAGICK_TRUE= 
     351   USE_IMAGE_MAGICK_FALSE='#' 
     352@@ -13894,6 +13720,9 @@ 
     353  
     354  
     355  
     356+ 
     357+ 
     358+ 
     359 if test $cc_vers_major -gt 3; then 
     360   min_sigc_version=2.0.12 
     361 else 
     362@@ -19146,7 +18975,7 @@ 
     363 LIBWPG_LIBS!$LIBWPG_LIBS$ac_delim 
     364 WITH_LIBWPG_TRUE!$WITH_LIBWPG_TRUE$ac_delim 
     365 WITH_LIBWPG_FALSE!$WITH_LIBWPG_FALSE$ac_delim 
     366-MAGICKPP_CONFIG!$MAGICKPP_CONFIG$ac_delim 
     367+IMAGEMAGICK_CFLAGS!$IMAGEMAGICK_CFLAGS$ac_delim 
     368 IMAGEMAGICK_LIBS!$IMAGEMAGICK_LIBS$ac_delim 
     369 USE_IMAGE_MAGICK_TRUE!$USE_IMAGE_MAGICK_TRUE$ac_delim 
     370 USE_IMAGE_MAGICK_FALSE!$USE_IMAGE_MAGICK_FALSE$ac_delim